package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ProductImage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ProductImageMapper")
public interface ProductImageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ProductImage record);

    ProductImage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProductImage record);

    List<ProductImage> queryAllProductImage(ProductImage record);

    List<ProductImage> queryProductImageByPage(Map<String, Object> parameter);

    int delete(String id);

    ProductImage queryProductImage(ProductImage record);

    List<ProductImage> query(ProductImage record);
}

